OpenZWave Library: OpenZWave::Lock Class Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
OpenZWave::Lock Class Reference
Z-Wave CommandClass Support

Implements COMMAND_CLASS_LOCK (0x76), a Z-Wave device command class. More...

`#include <Lock.h>`

Inheritance diagram for OpenZWave::Lock:

## Public Member Functions
virtual | ~Lock ()
virtual bool | RequestState (uint32 const _requestFlags, uint8 const _instance, Driver::MsgQueue const _queue)
virtual bool | RequestValue (uint32 const _requestFlags, uint16 const _index, uint8 const _instance, Driver::MsgQueue const _queue)
virtual uint8 const | GetCommandClassId () const
virtual string const | GetCommandClassName () const
virtual bool | HandleMsg (uint8 const *_data, uint32 const _length, uint32 const _instance=1)
virtual bool | SetValue (Value const &_value)
Public Member Functions inherited from OpenZWave::CommandClass
| CommandClass (uint32 const _homeId, uint8 const _nodeId)
virtual | ~CommandClass ()
virtual void | ReadXML (TiXmlElement const *_ccElement)
virtual void | WriteXML (TiXmlElement *_ccElement)
virtual void | refreshValuesOnWakeup ()
string const | GetCommandClassLabel ()
void | SetCommandClassLabel (string label)
virtual bool | HandleIncomingMsg (uint8 const *_data, uint32 const _length, uint32 const _instance=1)
virtual void | SetValueBasic (uint8 const _instance, uint8 const _level)
virtual void | SetVersion (uint8 const _version)
bool | RequestStateForAllInstances (uint32 const _requestFlags, Driver::MsgQueue const _queue)
bool | CheckForRefreshValues (Value const *_value)
virtual uint8 | GetMaxVersion ()
uint8 | GetVersion () const
Bitfield const * | GetInstances () const
uint32 | GetHomeId () const
uint8 | GetNodeId () const
Driver * | GetDriver () const
Node * | GetNodeUnsafe () const
Value * | GetValue (uint8 const _instance, uint16 const _index)
bool | RemoveValue (uint8 const _instance, uint16 const _index)
uint8 | GetEndPoint (uint8 const _instance)
uint8 | GetInstance (uint8 const _endPoint)
void | SetInstances (uint8 const _instances)
void | SetInstance (uint8 const _endPoint)
virtual void | SetInstanceLabel (uint8 const _instance, char *label)
string | GetInstanceLabel (uint8 const _instance)
uint8 | GetNumInstances ()
void | SetAfterMark ()
void | SetEndPoint (uint8 const _instance, uint8 const _endpoint)
bool | IsAfterMark () const
bool | IsSecured () const
void | SetSecured ()
bool | IsSecureSupported () const
void | ClearSecureSupport ()
void | SetSecureSupport ()
void | SetInNIF ()
bool | IsInNIF ()
string | ExtractValue (uint8 const *_data, uint8 *_scale, uint8 *_precision, uint8 _valueOffset=1) const
void | AppendValue (Msg *_msg, string const &_value, uint8 const _scale) const
uint8 const | GetAppendValueSize (string const &_value) const
int32 | ValueToInteger (string const &_value, uint8 *o_precision, uint8 *o_size) const
void | UpdateMappedClass (uint8 const _instance, uint8 const _classId, uint8 const _value)
virtual void | CreateVars (uint8 const _instance, uint8 const _index)
bool | HasStaticRequest (uint8_t _request) const
void | SetStaticRequest (uint8_t _request)
void | ClearStaticRequest (uint8_t _request)
uint32 | GetSentCnt () const
uint32 | GetReceivedCnt () const
void | SentCntIncr ()
void | ReceivedCntIncr ()

## Static Public Member Functions
static CommandClass * | Create (uint32 const _homeId, uint8 const _nodeId)
static uint8 const | StaticGetCommandClassId ()
static string const | StaticGetCommandClassName ()

## Protected Member Functions
virtual void | CreateVars (uint8 const _instance)
Protected Member Functions inherited from OpenZWave::CommandClass
void | ReadValueRefreshXML (TiXmlElement const *_ccElement)

## Additional Inherited Members
Public Types inherited from OpenZWave::CommandClass
enum | { RequestFlag_Static = 0x00000001 , RequestFlag_Session = 0x00000002 , RequestFlag_Dynamic = 0x00000004 , RequestFlag_AfterMark = 0x00000008 }
enum | StaticRequest { StaticRequest_Instances = 0x01 , StaticRequest_Values = 0x02 , StaticRequest_Version = 0x04 }
typedef struct OpenZWave::CommandClass::RefreshValue | RefreshValue
Protected Attributes inherited from OpenZWave::CommandClass
CompatOptionManager | m_com
CompatOptionManager | m_dom

## Detailed Description

Implements COMMAND_CLASS_LOCK (0x76), a Z-Wave device command class.

## Constructor & Destructor Documentation

## ◆ ~Lock()

virtual OpenZWave::Lock::~Lock | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ Create()

static CommandClass * OpenZWave::Lock::Create | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId )
| inlinestatic

## ◆ CreateVars()

void Lock::CreateVars | ( | uint8 const | _instance | ) |
| protectedvirtual

Reimplemented from OpenZWave::CommandClass.

## ◆ GetCommandClassId()

virtual uint8 const OpenZWave::Lock::GetCommandClassId | ( |  | ) | const
| inlinevirtual

Implements OpenZWave::CommandClass.

## ◆ GetCommandClassName()

virtual string const OpenZWave::Lock::GetCommandClassName | ( |  | ) | const
| inlinevirtual

Implements OpenZWave::CommandClass.

## ◆ HandleMsg()

bool Lock::HandleMsg | ( | uint8 const * | _data,
|  | uint32 const | _length,
|  | uint32 const | _instance = 1 )
| virtual

Implements OpenZWave::CommandClass.

## ◆ RequestState()

bool Lock::RequestState | ( | uint32 const | _requestFlags,
|  | uint8 const | _instance,
|  | Driver::MsgQueue const | _queue )
| virtual

Reimplemented from OpenZWave::CommandClass.

## ◆ RequestValue()

bool Lock::RequestValue | ( | uint32 const | _requestFlags,
|  | uint16 const | _index,
|  | uint8 const | _instance,
|  | Driver::MsgQueue const | _queue )
| virtual

Reimplemented from OpenZWave::CommandClass.

## ◆ SetValue()

bool Lock::SetValue | ( | Value const & | _value | ) |
| virtual

Reimplemented from OpenZWave::CommandClass.

## ◆ StaticGetCommandClassId()

static uint8 const OpenZWave::Lock::StaticGetCommandClassId | ( |  | ) |
| inlinestatic

## ◆ StaticGetCommandClassName()

static string const OpenZWave::Lock::StaticGetCommandClassName | ( |  | ) |
| inlinestatic

The documentation for this class was generated from the following files:

- Lock.h
- Lock.cpp